Package sudoku.constraint

# Interface IConstraint

All Known Implementing Classes:
  `BlockConstraint`, `ColumnConstraint`, `DiagonalConstraint`, `LineConstraint`

public interface IConstraint
Interface de base pour la déclaration d'une contrainte Elle est en théorie assez générique pour implémenter n'importe quelle contrainte

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canBePlaced(Sudoku s, int x, int y, int newSymbolIndex)`

- ## Method Details

  - ### canBePlaced

    boolean canBePlaced(Sudoku s, int x, int y, int newSymbolIndex)